Bug 67934 - nforce hardlocks with generic Geforce2 MX XFree86 driver
nforce hardlocks with generic Geforce2 MX XFree86 driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
limbo
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 10:02 EDT by Eric Hattemer
Modified: 2007-04-18 12:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci, -n, -vv (10.38 KB, text/plain)
2002-07-11 20:32 EDT, Eric Hattemer
no flags Details

  None (edit)
Description Eric Hattemer 2002-07-04 10:02:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
The nforce chipset (I have an MSI K7N420)is highly incompatible with the 
generic geforce2 MX driver included with redhat limbo and below.  When this 
driver is loaded (ie. X starts), It creates a black screen and a hardlock.  
Generally, this isn't a big deal, because prior to starting X the first time in 
7.3, I installed the NVIDIA driver, and was good to go.  However, the limbo 
installer automatically loads the generic GF2 driver, which crashes the 
system.  It is probably possible to circumvent this by using a text install, 
but it would be better if the installer could detect the nforce chipset, and 
instead use the really generic X drivers, such as FBDev or vesa.  The 7.3 
installer works flawlessly, becuase it uses one of these.  Also, the XF86config 
file should be set up so that on first boot, the system is already set up to 
use FBDev or VESA or whatever.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Get an NForce motherboard
2.boot off limbo CD
3.continue through install (default options) until anaconda loads
4.view the hardlock in all its splendor
	

Actual Results:  Says something like:
loading Geforce 2 MX (Generic)
unable to probe monitor
found 3 button mouse
then that all disappears, and it brings up a black screen.  CTRL-ATL-DEL 
doesn't work anymore.  

Expected Results:  Loads FBdev, and graphical install continues


Additional info:
Comment 1 Warren Togami 2002-07-04 16:46:26 EDT
Would it be possible for the Open Source Geforce driver to support 2D graphics
on nForce?  That may be ideal rather than forcing nForce to use the generic
frame buffer driver.
Comment 2 Bill Nottingham 2002-07-07 23:42:21 EDT
Unfortunately, the way the hardware probing works, it's not really practical to
blacklist card <foo> only in combination with PCI chipset <bar>.
Comment 3 Warren Togami 2002-07-08 06:56:33 EDT
Blacklisting would not be an ideal situation here, because nForce is a very
popular chipset within many integrated Athlon motherboards sold within retail
Micron and Compaq desktops.  It would be really nice if the onboard Geforce2
video and ethernet controller could work "out of the box" in Red Hat with at
least 2D graphics.
Comment 4 Mike A. Harris 2002-07-10 00:30:27 EDT
It is not possible for Red Hat or anyone else to add support to the open
source "nv" driver for any Nvidia hardware.  Nvidia explicitly does not
release the technical specifications for their hardware to anyone even under
NDA for the development of new hardware support.  Any Nvidia hardware not
supported by the "nv" driver, is simply not supported.  It requires Nvidia
themselves to write support since they're the only ones with their technical
specs for their hardware.  Support in the "nv" driver for new Nvidia hardware
only appears in XFree86 once Nvidia writes the support and contributes it
to XFree86 CVS.  Such support then will be available in XFree86 when the
new release of X comes out, and will be picked up by Red Hat in a future
distribution release.

While I agree that having nForce boards "just work" out of the box in Red
Hat Linux is an amiable goal, it is not possible for us to implement code
to do such without having the technical specifications to do so.  Forcing
a given PCI ID to use the "vesa" driver instead of the "nv" driver merely
because it doesn't work on the nForce chipset is not acceptable since many
users do not use the nForce chipset.  Creating blacklist/whitelists is a
large undertaking and requires a lot of maintenance that is simply not worth
spending the time on, when it is likely that the real problem will be fixed
in XFree86 CVS in the next release, or perhaps the one after that.

If the video chip itself has a unique PCI ID that can be detected, then
we can do something about it, however if the ID is identical to that on
boards which do not have this problem, then there is nothing we can do
about it in a realistic and efficient manner.

Please attach the full "lspci -n" output to the bug report for investigation.

The ultimate solution, is to not purchase hardware that is unsupported, or
supported only by binary only drivers.  Vote with your wallet and purchase
hardware which is made by companies that actively support open source.
Comment 5 Eric Hattemer 2002-07-11 20:32:30 EDT
Created attachment 65025 [details]
lspci, -n, -vv
Comment 6 Mike A. Harris 2002-07-26 08:40:04 EDT
Please report this bug/issue to XFree86.org and Nvidia so that the
people who have both the hardware, and the documentation for that
hardware both know of the problem, and can fix it.  Nobody else can.

xpert@xfree86.org / xfree86@xfree86.org / support@nvidia.com

I'm defering this bug until a new XFree86 release is available which
hopefully the people who can actually fix this, have done so.  I'll
reopen it once new packages are available for testing in a future
Red Hat Linux release.

If you come across a bug fix patch or somesuch, please update
the report to accelerate the fix.
Comment 7 Mike A. Harris 2005-04-20 08:45:59 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.